Hello community,

here is the log from the commit of package gvfs for openSUSE:Factory checked in 
at 2016-09-21 18:35:13
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/gvfs (Old)
 and      /work/SRC/openSUSE:Factory/.gvfs.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "gvfs"

Changes:
--------
--- /work/SRC/openSUSE:Factory/gvfs/gvfs.changes        2016-08-28 
12:17:08.000000000 +0200
+++ /work/SRC/openSUSE:Factory/.gvfs.new/gvfs.changes   2016-09-21 
18:35:15.000000000 +0200
@@ -1,0 +2,84 @@
+Mon Sep 19 15:10:19 UTC 2016 - dims...@opensuse.org
+
+- Update to version 1.30.0:
+  + Updated translations.
+
+-------------------------------------------------------------------
+Mon Sep 12 13:05:08 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.29.91:
+  + Several smaller bugfixes.
+  + Updated translations.
+
+-------------------------------------------------------------------
+Mon Aug 29 16:08:13 UTC 2016 - dims...@opensuse.org
+
+- Update to version 1.29.91:
+  + dav: Various mount operation fixes.
+  + Several smaller bugfixes.
+  + Updated translations.
+- Replace libcap-devel for pkgconfig(libcap) BuildRequires.
+
+-------------------------------------------------------------------
+Thu Aug 25 08:10:20 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.29.90:
+  + build:
+    - Use upstream gettext instead intltool.
+    - Use autoreconf instead custom script.
+  + dnssd: Fix crashes when mount failed.
+  + Several smaller bugfixes.
+  + Updated translations.
+
+-------------------------------------------------------------------
+Thu Aug 25 08:10:19 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.29.4:
+  + Introduce an admin gvfs backend based on polkit.
+  + gvfs-open: Fix spawning of applications with dashses in their
+    app IDs.
+  + daemon:
+    - Fix crashes caused by NULL certificates.
+    - Set G_FILE_ATTRIBUTE_FILESYSTEM_REMOTE attribute.
+  + Several smaller bugfixes and improvements.
+  + Updated translations.
+- Add pkgconfig(polkit-gobject-1) and libcap-devel BuildRequires:
+  New dependencies.
+
+-------------------------------------------------------------------
+Thu Aug 25 08:10:18 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.29.3:
+  + afc: Many improvements and fixes for iOS support.
+  + fuse: Add possibility to enable debug output.
+  + test: Skip tests if dependencies are missing.
+  + Several smaller bugfixes.
+  + Updated translations.
+
+-------------------------------------------------------------------
+Thu Aug 25 08:10:17 UTC 2016 - zai...@opensuse.org
+
+- Update to version 1.29.2:
+  + client: Fix missing mount prefix in cached fuse paths.
+  + monitor: Add g_drive_is_removable() support.
+  + dav: Fix IPv6 address handling.
+  + Several smaller bugfixes.
+  + Updated translations.
+- Changes from version 1.29.1:
+  + udisks2: Fix crashes when mounting encrypted volume.
+  + mtp: Refactor event handling in order to fix unmount crashes.
+  + Several smaller bugfixes.
+- Drop obsolete clean section.
+- Conditionally apply gvfs-nds.patch and gvfs-nvvfs.patch for
+  non-opensuse only: The usefulness on openSUSE is questionable, so
+  lets see if anyone complains. Follwing this, conditionally apply
+  autoconf BuildRequires and autoreconf call.
+- Conditionally apply translations-update-upstream BuildRequires
+  and macro for non-openSUSE only.
+- Tweak descriptions to silence rpmlint.
+- Handle tmpfiles created in post.
+- Conditionally apply libgfscommon0 Obsolete for non-openSUSE: All
+  supported openSUSE releases have moved on, so it's only needed
+  for SLE.
+
+-------------------------------------------------------------------

Old:
----
  gvfs-1.28.3.tar.xz

New:
----
  gvfs-1.30.0.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ gvfs.spec ++++++
--- /var/tmp/diff_new_pack.PN5EDb/_old  2016-09-21 18:35:17.000000000 +0200
+++ /var/tmp/diff_new_pack.PN5EDb/_new  2016-09-21 18:35:17.000000000 +0200
@@ -20,20 +20,22 @@
 %define with_cdda 1
 
 Name:           gvfs
-Version:        1.28.3
+Version:        1.30.0
 Release:        0
 Summary:        VFS functionality for GLib
 License:        LGPL-2.0+
 Group:          Development/Libraries/C and C++
 Url:            http://www.gnome.org
-Source0:        
http://download.gnome.org/sources/gvfs/1.28/%{name}-%{version}.tar.xz
+Source0:        
http://download.gnome.org/sources/gvfs/1.30/%{name}-%{version}.tar.xz
 Source99:       baselibs.conf
 # PATCH-FEATURE-SLE gvfs-nvvfs.patch ksam...@novell.com -- Provides gvfs 
backend for novell nautilus plugin
 Patch5:         gvfs-nvvfs.patch
 # PATCH-FEATURE-SLE gvfs-nds.patch ksam...@novell.com -- Provides NDS browsing 
for nautilus
 Patch6:         gvfs-nds.patch
+%if !0%{?is_opensuse}
 # needed for patches 5 and 6
 BuildRequires:  autoconf
+%endif
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  fuse-devel
 BuildRequires:  intltool
@@ -47,21 +49,24 @@
 BuildRequires:  libgdu-devel
 %endif
 BuildRequires:  libgphoto2-devel
-BuildRequires:  libimobiledevice-devel >= 1.1.5
+BuildRequires:  libimobiledevice-devel >= 1.2
 BuildRequires:  libsoup-devel >= 2.34.0
 BuildRequires:  libtool
 BuildRequires:  pkg-config
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  xsltproc
 BuildRequires:  pkgconfig(gcr-base-3)
 BuildRequires:  pkgconfig(gio-2.0)
 BuildRequires:  pkgconfig(gio-unix-2.0)
-BuildRequires:  pkgconfig(glib-2.0) >= 2.45.7
+BuildRequires:  pkgconfig(glib-2.0) >= 2.49.3
 BuildRequires:  pkgconfig(goa-1.0) >= 3.17.1
 BuildRequires:  pkgconfig(gobject-2.0)
 BuildRequires:  pkgconfig(gtk+-3.0) => 3.0
 BuildRequires:  pkgconfig(gudev-1.0) >= 147
 BuildRequires:  pkgconfig(libbluray)
+BuildRequires:  pkgconfig(libcap)
 BuildRequires:  pkgconfig(libgdata) >= 0.17.3
 BuildRequires:  pkgconfig(libmtp) >= 1.1.5
 %if 0%{?is_opensuse}
@@ -69,6 +74,7 @@
 %endif
 BuildRequires:  pkgconfig(libsecret-unstable)
 BuildRequires:  pkgconfig(libsystemd)
+BuildRequires:  pkgconfig(polkit-gobject-1)
 BuildRequires:  pkgconfig(smbclient)
 %if %{with_udisks2}
 BuildRequires:  pkgconfig(udisks2) >= 1.97
@@ -77,14 +83,17 @@
 Recommends:     gvfs-backends
 Recommends:     gvfs-common
 Recommends:     gvfs-fuse
+%if !0%{?is_opensuse}
 # The library gvfscommon was converted to a private library and is not used 
outside of gvfs
 Obsoletes:      libgvfscommon0 <= %{version}
+%endif
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 %glib2_gio_module_requires
 %{?systemd_requires}
 
 %description
 VFS functionality for GLib.
+This package contains all the main files.
 
 %package backend-afc
 Summary:        VFS functionality for GLib -- iPod / iPhone Support
@@ -120,6 +129,7 @@
 
 %description backends
 VFS functionality for GLib.
+This package contains all necessary backend files and libraries.
 
 %package fuse
 Summary:        VFS functionality for GLib
@@ -130,6 +140,7 @@
 
 %description fuse
 VFS functionality for GLib.
+This package contains all necessary fuse files and libraries.
 
 %package devel
 Summary:        VFS functionality for GLib
@@ -139,17 +150,23 @@
 
 %description devel
 VFS functionality for GLib.
+This package contains all necessary include files and libraries needed
+to develop applications that require these.
 
 %lang_package
 %prep
 %setup -q
+%if !0%{?is_opensuse}
 translation-update-upstream
 %patch5 -p1
 %patch6 -p1
+%endif
 
 %build
+%if !0%{?is_opensuse}
 # needed for patches 5 and 6
 autoreconf
+%endif
 %configure \
     --libexecdir=%{_libexecdir}/%{name} \
 %if %{with_udisks2}
@@ -170,6 +187,9 @@
 %post
 %glib2_gio_module_post
 
+%post fuse
+%tmpfiles_create %{_libexecdir}/tmpfiles.d/gvfsd-fuse-tmpfiles.conf
+
 %postun
 %glib2_gio_module_postun
 
@@ -185,9 +205,6 @@
 %postun backend-samba
 %glib2_gsettings_schema_postun
 
-%post fuse
-%tmpfiles_create gvfsd-fuse-tmpfiles.conf
-
 %files
 %defattr(-, root, root)
 %doc AUTHORS NEWS README
@@ -258,6 +275,10 @@
 %{_userunitdir}/gvfs-gphoto2-volume-monitor.service
 %{_datadir}/dbus-1/services/org.gtk.vfs.GPhoto2VolumeMonitor.service
 %{_datadir}/%{name}/remote-volume-monitors/gphoto2.monitor
+%{_libexecdir}/%{name}/gvfsd-admin
+%{_datadir}/%{name}/mounts/admin.mount
+%{_datadir}/polkit-1/actions/org.gtk.vfs.file-operations.policy
+%{_datadir}/polkit-1/rules.d/org.gtk.vfs.file-operations.rules
 %{_libexecdir}/%{name}/gvfsd-afp
 %{_datadir}/%{name}/mounts/afp.mount
 %{_libexecdir}/%{name}/gvfsd-afp-browse
@@ -298,16 +319,20 @@
 %{_datadir}/%{name}/remote-volume-monitors/mtp.monitor
 %{_datadir}/dbus-1/services/org.gtk.vfs.MTPVolumeMonitor.service
 %{_datadir}/%{name}/mounts/mtp.mount
+%if !0%{?is_opensuse}
 %{_libexecdir}/%{name}/gvfsd-nds
 %{_datadir}/%{name}/mounts/nds.mount
+%endif
 %{_libexecdir}/%{name}/gvfsd-network
 %{_datadir}/%{name}/mounts/network.mount
 %if 0%{?is_opensuse}
 %{_libexecdir}/%{name}/gvfsd-nfs
 %{_datadir}/%{name}/mounts/nfs.mount
 %endif
+%if !0%{?is_opensuse}
 %{_libexecdir}/%{name}/gvfsd-nvvfs
 %{_datadir}/%{name}/mounts/nvvfs.mount
+%endif
 %{_libexecdir}/%{name}/gvfsd-recent
 %{_datadir}/%{name}/mounts/recent.mount
 %{_libexecdir}/%{name}/gvfsd-sftp

++++++ gvfs-1.28.3.tar.xz -> gvfs-1.30.0.tar.xz ++++++
++++ 133672 lines of diff (skipped)


Reply via email to